<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GncCunFangBean" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:layout_marginVertical="5dp"
                android:background="@drawable/bg_item"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="10dp">

                <ImageView
                    android:id="@+id/iv_icon"
                    loadImage="@{bean.checked ? @drawable/img_plane_s : @drawable/img_plane}"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_gravity="center"
                    android:src="@drawable/img_plane" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:orientation="vertical">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="平板车号：" />

                            <TextView
                                android:id="@+id/tv_car"
                                completeSpace="@{5}"
                                isFill="@{false}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.carId}"
                                android:textColor="@color/colorPrimary"
                                tools:text="012" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <View
                            android:layout_width="0dp"
                            android:layout_height="0dp"
                            android:layout_weight="1" />

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="航班日期：" />

                            <TextView
                                completeLetterSpace="@{10}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.fdate}' />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <View
                            android:layout_width="0dp"
                            android:layout_height="0dp"
                            android:layout_weight="1" />

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="航班号：" />

                            <TextView
                                completeSpace="@{5}"
                                isFill="@{false}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.fno}' />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <View
                            android:layout_width="0dp"
                            android:layout_height="0dp"
                            android:layout_weight="1" />

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="计划起飞：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.scheduledTackOffHM}" />

                            <TextView
                                visible="@{bean.verifyTakeOffNextDay()}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="4dp"
                                android:text="+1"
                                android:textColor="@color/red" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <View
                            android:layout_width="0dp"
                            android:layout_height="0dp"
                            android:layout_weight="1" />

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="复磅状态：" />

                            <TextView
                                completeSpace="@{5}"
                                isFill="@{false}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.checkFlagName}'
                                android:textColor='@{bean.checkFlagName.equals("未复磅") ? @color/text_system : @color/green}' />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <View
                            android:layout_width="0dp"
                            android:layout_height="0dp"
                            android:layout_weight="1" />

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="存放区域：" />

                            <TextView
                                android:id="@+id/tv_area"
                                completeSpace="@{5}"
                                isFill="@{false}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.storageArea}'
                                android:textColor="@color/blue" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </androidx.appcompat.widget.LinearLayoutCompat>

                </LinearLayout>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </FrameLayout>

    </androidx.appcompat.widget.LinearLayoutCompat>

</layout>